package com.gic.haoban.manage.service.service.out.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.ApplicationDTO;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.api.service.ApplicationApiService;
import com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService;
import com.gic.haoban.manage.service.entity.TabHaobanApplication;
import com.gic.haoban.manage.service.entity.TabHaobanStaffDepartmentRelated;
import com.gic.haoban.manage.service.service.ApplicationService;
import com.gic.haoban.manage.service.service.StaffDepartmentRelatedService;

import org.springframework.stereotype.Service;

@Service	
public class StaffDepartmentRelatedApiServiceImpl implements StaffDepartmentRelatedApiService {
	
	@Autowired
	private StaffDepartmentRelatedService staffDepartmentRelatedService;

	@Override
	public List<StaffDepartmentRelatedDTO> listByDepartmentId(
			String departmentId) {
		List<TabHaobanStaffDepartmentRelated> list = staffDepartmentRelatedService.listByDepartmentId(departmentId);
		List<StaffDepartmentRelatedDTO> resultList = EntityUtil.changeEntityListByJSON(StaffDepartmentRelatedDTO.class, list);
		return resultList;
	}


}
